Bug 1274115 - gnome-keyring ssh agent not working
gnome-keyring ssh agent not working
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 21:04 EDT by Jeff Layton
Modified: 2016-12-20 10:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:05:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2015-10-21 21:04:10 EDT
I recently updated my laptop to Fedora 23. Since the gnome-keyring-daemon ssh agent has stopped working.

    $ ssh-add -l
    Error connecting to agent: Connection refused

...looking at the strace of the ssh-add command:

[...]
close(3)                                = 0
munmap(0x7f13bb98c000, 4096)            = 0
socket(PF_LOCAL, SOCK_STREAM, 0)        = 3
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
connect(3, {sa_family=AF_LOCAL, sun_path="/run/user/4447/keyring/ssh"}, 110) = -1 ECONNREFUSED (Connection refused)
close(3)                                = 0
write(2, "Error connecting to agent: Conne"..., 46Error connecting to agent: Connection refused
) = 46
exit_group(2)                           = ?
+++ exited with 2 +++

...and gnome-keyring-daemon doesn't seem to be listening on the socket:

$ sudo lsof -p 5701
lsof: WARNING: can't stat() fuse.gvfsd-fuse file system /run/user/4447/gvfs
      Output information may be incomplete.
COMMAND    PID    USER   FD      TYPE             DEVICE  SIZE/OFF    NODE NAME
gnome-key 5701 jlayton  cwd       DIR              253,3      4096 8650753 /home/jlayton
gnome-key 5701 jlayton  rtd       DIR              253,2      4096       2 /
gnome-key 5701 jlayton  txt       REG              253,2   1116040 1974973 /usr/bin/gnome-keyring-daemon
gnome-key 5701 jlayton  mem       REG              253,2 110439344 2247796 /usr/lib/locale/locale-archive
gnome-key 5701 jlayton  mem       REG              253,2    459240 1967179 /usr/lib64/libpcre.so.1.2.5
gnome-key 5701 jlayton  mem       REG              253,2     31704 1994338 /usr/lib64/libffi.so.6.0.2
gnome-key 5701 jlayton  mem       REG              253,2    114568 1991865 /usr/lib64/libresolv-2.22.so
gnome-key 5701 jlayton  mem       REG              253,2    136600 1999645 /usr/lib64/libselinux.so.1
gnome-key 5701 jlayton  mem       REG              253,2     89472 1967474 /usr/lib64/libz.so.1.2.8
gnome-key 5701 jlayton  mem       REG              253,2      6792 1969293 /usr/lib64/libgthread-2.0.so.0.4600.1
gnome-key 5701 jlayton  mem       REG              253,2     15144 1969286 /usr/lib64/libgmodule-2.0.so.0.4600.1
gnome-key 5701 jlayton  mem       REG              253,2   2102288 1977102 /usr/lib64/libc-2.22.so
gnome-key 5701 jlayton  mem       REG              253,2    148912 1991860 /usr/lib64/libpthread-2.22.so
gnome-key 5701 jlayton  mem       REG              253,2     23376 1972334 /usr/lib64/libcap-ng.so.0.0.0
gnome-key 5701 jlayton  mem       REG              253,2     78192 1968252 /usr/lib64/libgpg-error.so.0.16.0
gnome-key 5701 jlayton  mem       REG              253,2     19344 1987048 /usr/lib64/libdl-2.22.so
gnome-key 5701 jlayton  mem       REG              253,2    946424 1975228 /usr/lib64/libgcrypt.so.20.0.4
gnome-key 5701 jlayton  mem       REG              253,2    423016 1972040 /usr/lib64/libp11-kit.so.0.1.0
gnome-key 5701 jlayton  mem       REG              253,2   1290352 1968257 /usr/lib64/libglib-2.0.so.0.4600.1
gnome-key 5701 jlayton  mem       REG              253,2    340408 1969289 /usr/lib64/libgobject-2.0.so.0.4600.1
gnome-key 5701 jlayton  mem       REG              253,2   1589824 1967360 /usr/lib64/libgio-2.0.so.0.4600.1
gnome-key 5701 jlayton  mem       REG              253,2    230504 1974491 /usr/lib64/libgck-1.so.0.0.0
gnome-key 5701 jlayton  mem       REG              253,2    643840 1982181 /usr/lib64/libgcr-base-3.so.1.0.0
gnome-key 5701 jlayton  mem       REG              253,2    160248 1966757 /usr/lib64/ld-2.22.so
gnome-key 5701 jlayton    0r      CHR                1,3       0t0    1028 /dev/null
gnome-key 5701 jlayton    1u     unix 0xffff8803d7519880       0t0   52552 type=STREAM
gnome-key 5701 jlayton    2u     unix 0xffff8803d7519880       0t0   52552 type=STREAM
gnome-key 5701 jlayton    3r      CHR                1,9       0t0    1033 /dev/urandom
gnome-key 5701 jlayton    4u  a_inode               0,11         0    8792 [eventfd]
gnome-key 5701 jlayton    5u     unix 0xffff880409878700       0t0   51877 type=DGRAM
gnome-key 5701 jlayton    6u     unix 0xffff880409878380       0t0   51878 type=STREAM
gnome-key 5701 jlayton    7u  a_inode               0,11         0    8792 [eventfd]
gnome-key 5701 jlayton    8u  a_inode               0,11         0    8792 [eventfd]
gnome-key 5701 jlayton    9u  a_inode               0,11         0    8792 [eventfd]
gnome-key 5701 jlayton   10u     unix 0xffff880409879f80       0t0   51887 /run/user/4447/keyring/control type=STREAM


...on my f22 box, this daemon is listening on the ssh unix socket plus a few others.
Comment 1 Jeff Layton 2015-10-22 06:48:36 EDT
This looks like it might be an selinux policy problem. When I booted with "enforcing=0", then it seems to work as expected. I don't see any obvious avc messages though, so I don't see how to use audit2allow to work around it.

Note that bug #1215270 might also be related here.
Comment 2 Derek Atkins 2016-02-08 19:58:22 EST
(In reply to Jeff Layton from comment #1)
> This looks like it might be an selinux policy problem. When I booted with
> "enforcing=0", then it seems to work as expected. I don't see any obvious
> avc messages though, so I don't see how to use audit2allow to work around it.
> 
> Note that bug #1215270 might also be related here.

That does not seem to be the case for.  I just upgraded my laptop to F23 this weekend and I have SELINUX set to disabled and I still have this problem.  For me it's more than just SSH not working; I also have the issue that evolution isn't remembering my passwords, either.  (Yes, I know I should probably open a new bug for that one).  But it's possibly related in that NONE of the keyring functionality appears to be working.
Comment 3 jyrkiput@gmail.com 2016-08-11 00:22:38 EDT
(In reply to Jeff Layton from comment #1)
> This looks like it might be an selinux policy problem. When I booted with
> "enforcing=0", then it seems to work as expected. I don't see any obvious
> avc messages though, so I don't see how to use audit2allow to work around it.
> 
> Note that bug #1215270 might also be related here.

This worked for me with ssh keys.
Comment 4 Fedora End Of Life 2016-11-24 07:52:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:05:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.